#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <qgridlayout.h>
#include <objectgl.h>




class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    // COnstructor and destructor
    MainWindow(QWidget *parent = 0, int w=600, int h=400);
    ~MainWindow();

protected slots:
    void                    onTimer_UpdateDisplay();        // Redraw the scene
    void                    handleAbout();                  // Open the about dialog box

protected:
    void                    resizeEvent(QResizeEvent *);    // Overload of the resize event

private:
    QGridLayout             *gridLayout;                    // Layout of the window
    QWidget                 *gridLayoutWidget;
    QWidget                 *centralWidget;                 // Central widget (where the openGL window is drawn)
    ObjectOpenGL            *Object_GL;                     // OpenGL object

};

#endif // MAINWINDOW_H
